/* Mood ****************************************************************/

.mask.mood{
    background-position:center;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    position: relative;

    & video{
        position: absolute;
        width: auto;
        height: auto;
        top: 50%;
        left:50%;
        min-width: 100vw;
        min-height: 605px;
        transform: translate(-50%,-50%);
    }
    & picture {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;

        & > img {
            object-fit: cover;
            width: 100%;
            height: 100%;
            display: block;
        }
    }

    .container{
        display: flex;
        align-items: center;
        height: 700px;
        position:relative;
        margin:0 auto;
        width: var(--content-width);
    }
    &.start .textbox{
        width:100%;

        & .outer{
            position: relative;

            & .corporate-card{
                width: 185px;
                height: 117px;
                position: absolute;
                z-index: 1;
                top: 0;
                left:40px;
                transform: translate(0, -50%);
            }

            & .inner{
                position: relative;
                height: 350px;
                width: 100%;
                max-width: 510px;
                padding: 100px 40px 40px;
                box-sizing: border-box;
                overflow: hidden;
                background: var(--dark-blue);
                color:#fff;

                & .flourish{
                    position: absolute;
                    right: -40px;
                    width: 750px;
                    height: 283px;
                    bottom: -140px;
                    opacity: 0.1;
                }
            }
        }

        & .header{
            font-family: "Guardian Egyptian Web", Arial, serif;
            font-size: 2.2em;
        }
        & .subheader{
            font-size:1.8em;
            font-weight:bold;
        }
    }
}


@media only screen and (max-width: 1600px){
    .mask.mood .darkgradient{
        background: radial-gradient(circle at 32% bottom, #00000070 0%, #FFFFFF00 40%);
    }
}
@media only screen and (max-width: 1420px){
    .mask.mood.start .text, .mask.mood.sub .text{
        min-width:50%;
        width: 500px;
        box-sizing: border-box;
        padding-left:40px;
    }
    .mask.mood.sub .text{
        left: auto;
    }
}

@media only screen and (max-width: 1250px){
    #start #mood{margin-top:0;}
}
@media only screen and (max-width: 1000px){
    .mask.mood .darkgradient{
        background: radial-gradient(circle at 22% bottom, #00000070 0%, #FFFFFF00 50%);
    }
}

@media only screen and (max-width: 800px){
    #mood .stoerer{
        display:none;
    }
}

@media only screen and (max-width: 550px){
    .mask.mood.start .textbox .outer {
        & .corporate-card{
            left:20px;
        }
        & .inner {
            padding: 100px 20px !important;
        }
    }
    .mask.mood .container {
        height: calc(100vh - 97px);
    }
    .mask.mood.start .container,
    .mask.mood.start video{
        height: calc(100vh - 117px);
        transition:0.5s height;
        will-change:height;
    }
    .scrolled .mask.mood.start .container,
    .scrolled .mask.mood.start video{
        height: calc(100vh - 77px);
    }

    #contact-bubble .bubble {
        height: 60px;
        width: 60px;
    }
    #contact-bubble .bubble .phone {
        width: 25px;
        height: 25px;
        top: 28px;
        left: 8px;
    }
    #contact-bubble .bubble .mail {
        width: 24px;
        height: 18px;
        top: 19px;
        left: 25px;
    }
}




/* KontaktBox **********************************************************/
.mask.contactbox{
    perspective: 1000px;
    line-height: 1.5;
}

.mask.contactbox .inner{
    position: relative;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}

.mask.contactbox:hover .inner {
    transform: rotateY(180deg);
}

.mask.contactbox .frontside,
.mask.contactbox .backside{
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    padding:60px 40px 20px;
}

.mask.contactbox .frontside{
    position:absolute;top:0;left:0;right:0;bottom:0;
    background:var(--debug);
    color:var(--debug);
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: cover;
}
.mask.contactbox .backside{
    background:var(--debug);color:#fff;
    transform: rotateY(180deg);
}
.mask.contactbox .backside .name,
.mask.contactbox .backside svg{color:var(--debug)}

.mask.contactbox .name {font-size:36px;line-height:1; font-weight:bold;margin:20px 0;}
.mask.contactbox .backside svg{width:35px; height:35px;}

.mask.contactbox .backside .email{color:inherit}




/* IconSlot ************************************************************/
.mask.iconslot{}

.mask.iconslot li{
    position:relative;
    margin:20px 0;
    padding:10px 50px;
    display:flex;
    gap:50px;
}
.mask.iconslot li .icon{margin:20px 0; display:block}
.mask.iconslot li.np{padding:0}

@media only screen and (max-width: 550px){
    .mask.iconslot li{
        padding: 10px 20px;
        gap:20px;
        flex-flow: column;
    }
}

/* Social media only screen and Icons  ************************************************************/
.mask.smicons{display:flex; gap:5px;}
.mask.smicons li{}
.mask.smicons li a{display:block; text-decoration: none;color:inherit;position:relative;}
.mask.smicons li a svg{height:35px;width:35px;display:block;position: relative;z-index: 10;}
.mask.smicons li a > div{position:absolute; top:0; left:0; right:0;bottom:0; border-radius:5px;}


/* Ticker ************************************************************/

.marquee .divider{padding:0 10px}
/*
@keyframes marquee {
	    0%   {transform: translate3d(0,0,0);}
	    100% {transform: translate3d(-100%,0,0);}
}

.marquee {
 margin: auto;
 padding-left: 105%;
 overflow: hidden; 
 white-space: nowrap;
 border: solid 1px #CCCCCC;
 animation: marquee 10s linear infinite;
}
.marquee div{display: inline-block;}

.marquee:hover {
 animation-play-state: paused;
}
*/
